### Enumeration

# GWeather SpeedUnit

since: 4.0

#### Declaration

    enum GWeather.SpeedUnit

#### Description [src]

The measure unit to use for wind speed values, when retrieved by gweather_info_get_value_wind().

Available since: 4.0

#### Members

`GWEATHER_SPEED_UNIT_INVALID`

  Invalid unit.

  - Value: `0`
  - Nickname: `invalid`
  - Available since: 4.0
`GWEATHER_SPEED_UNIT_DEFAULT`

  The user preferred speed unit.

  - Value: `1`
  - Nickname: `default`
  - Available since: 4.0
`GWEATHER_SPEED_UNIT_MS`

  Meters per second.

  - Value: `2`
  - Nickname: `ms`
  - Available since: 4.0
`GWEATHER_SPEED_UNIT_KPH`

  Kilometers per hour.

  - Value: `3`
  - Nickname: `kph`
  - Available since: 4.0
`GWEATHER_SPEED_UNIT_MPH`

  Miles per hour.

  - Value: `4`
  - Nickname: `mph`
  - Available since: 4.0
`GWEATHER_SPEED_UNIT_KNOTS`

  Knots.

  - Value: `5`
  - Nickname: `knots`
  - Available since: 4.0
`GWEATHER_SPEED_UNIT_BFT`

  Beaufort scale.

  - Value: `6`
  - Nickname: `bft`
  - Available since: 4.0

#### Type functions

###### gweather_speed_unit_to_string

Creates a human-readable, localized representation of `unit`.

since: 4.0